<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.logEntryMappings">var.logEntryMappings</Property>
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>false&lt;/overallResult>&lt;responses>&lt;response>&lt;result>false&lt;/result>&lt;error>&lt;code>am-35&lt;/code>&lt;message>The action cannot be executed for so many elements at once.&lt;/message>&lt;/error>&lt;/response>&lt;/responses>&lt;log>&lt;entries>&lt;entry>&lt;level>error&lt;/level>&lt;code>1054&lt;/code>&lt;parameters>&lt;attribute>ABC&lt;/attribute>&lt;/parameters>&lt;/entry>&lt;/entries>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">418</Property>
		<Property name="ISCurrentTime" type="Long">1658917780814</Property>
		<Property name="ISWorkflowName">VAM_api_tools_getRepositoryFile</Property>
		<Property name="ISModuleName">VAM_api_assign</Property>
		<Property name="ISModuleId">1395</Property>
		<Property name="ISProcessId">243107</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">243107</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="ISErrorKey">am-35</Property>
		<Property name="ISErrorString">am-35</Property>
		<Property name="ISErrorModuleName">VAM_api_wfc_dispatching</Property>
		<Property name="ISErrorModuleId">944</Property>
		<Property name="ISInvokingWorkflow">VAM_api_main_api</Property>
		<Property name="ISInvokingModule">VAM_api_wfc_enrichLogEntries</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api>&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;backend>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:38181&lt;/key>&lt;url>http://localhost:38181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>bpc.virtimo.net&lt;/key>&lt;url>http://localhost:38181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev07.virtimo.net:8181&lt;/key>&lt;url>http://dev07.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>mpm-dev.virtimo.net:8181&lt;/key>&lt;url>http://mpm-dev.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev03.virtimo.net:8181&lt;/key>&lt;url>http://dev03.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am>&lt;validate>false&lt;/validate>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;startTimestamp>1658917779547&lt;/startTimestamp>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;roles>&lt;role>VAM_organization_redispatch&lt;/role>&lt;role>VAM_organization_RD-7777777770128&lt;/role>&lt;role>bpcuser&lt;/role>&lt;role>VAM_organization_RD-7777777770116&lt;/role>&lt;role>VAM_organization_RD-9876543210111&lt;/role>&lt;role>VAM_organization_RD-9876543210123&lt;/role>&lt;role>documents-administrator&lt;/role>&lt;role>VAM_organization_REWE&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_RD-6060404040401&lt;/role>&lt;role>VAM_organization_vamcariad&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_RD-4040404040401&lt;/role>&lt;role>VAM_organization_mcs&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration>&lt;featureActiveVersionsDisabled>false&lt;/featureActiveVersionsDisabled>&lt;am>&lt;overviews>&lt;overview>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;type>grid&lt;/type>&lt;/overview>&lt;overview>&lt;singleTemplateMode>&lt;templateCustomId>LAND&lt;/templateCustomId>&lt;/singleTemplateMode>&lt;canCreate name="value">true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;/overview>&lt;overview>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;type>grid&lt;/type>&lt;singleTemplateMode>&lt;templateCustomId>GEMEINDE&lt;/templateCustomId>&lt;/singleTemplateMode>&lt;/overview>&lt;/overviews>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;locale>en&lt;/locale>&lt;language>en&lt;/language>&lt;country/>&lt;/user>&lt;/session></Property>
		<Property name="demux.totalIterations" type="Integer">1</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
		<Property name="var.mappingsFileName">log-entry-mappings.xml</Property>
		<Property name="var.logEntryMappings" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;entries>

&lt;entry>&lt;code>1000&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Unknown log entry.&lt;/en>&lt;de>Unbekannter Logeintrag.&lt;/de>&lt;/messages>&lt;/entry>
&lt;!-- AM - Simple Attributes: -->
&lt;entry>&lt;code>1001&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Value too long.&lt;/en>&lt;de>{attribute}: Wert zu lang.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1002&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Invalid value.&lt;/en>&lt;de>{attribute}: Ungültiger Wert.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1003&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Value too short.&lt;/en>&lt;de>{attribute}: Wert zu kurz.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1004&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Attribute is missing.&lt;/en>&lt;de>{attribute}: Attribut fehlt.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1005&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Attribute does not exist.&lt;/en>&lt;de>{attribute}: Attribut existiert nicht.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1006&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Value too small.&lt;/en>&lt;de>{attribute}: Wert zu klein.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1007&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Value too large.&lt;/en>&lt;de>{attribute}: Wert zu groß.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1008&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: No decimal places allowed.&lt;/en>&lt;de>{attribute}: Keine Dezimalstellen erlaubt.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1009&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Too many decimal places.&lt;/en>&lt;de>{attribute}: Zu viele Dezimalstellen.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1053&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Leerzeichen am Anfang nicht erlaubt.&lt;/en>&lt;de>{attribute}: Whitespace at start not allowed.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1054&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Leerzeichen am Ende nicht erlaubt.&lt;/en>&lt;de>{attribute}: Whitespace at end not allowed.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1055&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;de>{attribute}: Abhängiger Wert nicht erlaubt.&lt;/de>&lt;en>{attribute}: Dependent value not allowed.&lt;/en>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1056&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;de>{attribute}: Fehlerhafte Abhängkeitsdefinition.&lt;/de>&lt;en>{attribute}: Incorrect definition of dependent attribute.&lt;/en>&lt;/messages>&lt;/entry>
&lt;!-- AM - List / Table Attributes: -->
&lt;entry>&lt;code>1010&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Too few lines.&lt;/en>&lt;de>{attribute}: Zu wenig Zeilen.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1011&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Too many lines.&lt;/en>&lt;de>{attribute}: Zu viele Zeilen.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1012&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{attribute}: Duplicate values.&lt;/en>&lt;de>{attribute}: Doppelte Zeilen vorhanden.&lt;/de>&lt;/messages>&lt;/entry>
&lt;!-- AM - Custom Attributes: -->
&lt;entry>&lt;code>1020&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Custom attribute key is missing.&lt;/en>&lt;de>Schlüssel für benutzerdefiniertes Attribut fehlt.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1021&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{key}: Custom attribute key too long.&lt;/en>&lt;de>{key}: Schlüssel des benutzerdefinierten Attributs ist zu lang.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1022&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{key}: Custom attribute unit too long.&lt;/en>&lt;de>{key}: Einheit des benutzerdefinierten Attributs ist zu lang.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1023&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{key}: Custom attribute value too long.&lt;/en>&lt;de>{key}: Wert des benutzerdefinierten Attributs ist zu lang.&lt;/de>&lt;/messages>&lt;/entry>&lt;!-- AM - Misc-->&lt;entry>&lt;code>1024&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{key}: Invalid key.&lt;/en>&lt;de>{key}: Ungültiger Schlüssel.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1025&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Schema validation error: {message}&lt;/en>&lt;de>Schemavalidierungsfehler: {message}&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1026&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Empty key below {key}.&lt;/en>&lt;de>Leerer Schlüssel unterhalb {key}.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code&gt;1027&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{key}: Duplicate key.&lt;/en>&lt;de>{key}: Doppelt verwendeter Schlüssel.&lt;/de>&lt;/messages>&lt;/entry>
&lt;!-- AM - Contacts: -->
&lt;entry>&lt;code>1030&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Description (Contact) invalid.&lt;/en>&lt;de>Beschreibung (Kontakt) ungültig.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1031&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Invalid contact person.&lt;/en>&lt;de>Ungültige Kontaktperson.&lt;/de>&lt;/messages>&lt;/entry>
&lt;!-- AM - Children / Parents: -->
&lt;entry>&lt;code>1041&lt;/code&gt;&lt;level>error&lt;/level>&lt;messages>&lt;en>Element {childId}: Invalid child element.&lt;/en>&lt;de>Element {childId}: Ungültiges untergeordnetes Element.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1042&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{childTemplateDisplayName}: Too many children, maximum {maximumQuantity}.&lt;/en>&lt;de>{childTemplateDisplayName}: Zu viele untergeordnete Elemente, maximal {maximumQuantity} erlaubt.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1043&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Element {childId}: Too many parents, maximum {maximumQuantity}.&lt;/en>&lt;de>Element {childId}: Zu viele übergeordnete Elemente, maximal {maximumQuantity} erlaubt.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1044&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{childTemplateId}: Invalid template for children.&lt;/en>&lt;de>{childTemplateId}: Ungültige Vorlage für untergeordnete Elemente.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1045&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>{childTemplateId}: Invalid template for children (by constraints in child template).&lt;/en>&lt;de>{childTemplateId}: Ungültige Vorlage für untergeordnete Elemente (festgelegt in der untergeordneten Vorlage).&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1046&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Ungültiger Verlinkungszeitpunkt.&lt;/en>&lt;de>Invalid link timestamp.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1047&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;de>Ungültige zeitabhängige Verlinkung.&lt;/de>&lt;en>Invalid time-dependent link.&lt;/en>&lt;/messages>&lt;/entry>
&lt;!-- AM - Other: -->
&lt;entry>&lt;code>1050&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Custom ID invalid.&lt;/en>&lt;de>Ungültige Benutzerdefinierte ID.&lt;/de>&lt;/messages>&lt;/entry>
&lt;entry>&lt;code>1051&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Description invalid.&lt;/en>&lt;de>Ungültige Beschreibung.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1052&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Custom ID '{customId}' is already in use.&lt;/en>&lt;de>Benutzerdefinierte ID '{customId}' wird bereits verwendet.&lt;/de>&lt;/messages>&lt;/entry>&lt;entry>&lt;code>1053&lt;/code>&lt;level>error&lt;/level>&lt;messages>&lt;en>Maximum count: {limit}&lt;/en>&lt;de>Maximale Anzahl: {limit}&lt;/de>&lt;/messages>&lt;/entry>

































&lt;/entries></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" xmlns:api="http://www.bosch-si.com/2013/API" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>  
  &lt;xsl:output method="xml" encoding="UTF-8"/>  
    
  &lt;xsl:param name="var.logEntryMappings" as="element()"/>  
  &lt;xsl:param name="var.session" as="element()"/>  
  &lt;xsl:template match="/*"> 
    &lt;entries> 
      &lt;xsl:for-each select="log/entries/entry">&lt;entry> 
                
              &lt;xsl:variable name="code" select="code"/>  
                
              &lt;code> 
                &lt;xsl:value-of select="$code"/> 
              &lt;/code>&lt;xsl:copy-of select="requestId"/>  
              &lt;xsl:variable name="logEntryMapping" select="$var.logEntryMappings/entry[code = $code]" as="element()?"/>&lt;xsl:choose>&lt;xsl:when test="exists($logEntryMapping)">&lt;xsl:variable name="message" select="am:translation($var.session, $logEntryMapping/messages, 'Unknown log entry.')"> 
                 
              &lt;/xsl:variable>&lt;message> 
                &lt;xsl:value-of select="api:replaceParameters($message, parameters/*)"/> 
              &lt;/message>&lt;level> 
                &lt;xsl:value-of select="$logEntryMapping/level"/> 
              &lt;/level>&lt;/xsl:when>&lt;xsl:otherwise>&lt;level>&lt;xsl:value-of select="(level, 'information')[1]"/>&lt;/level>&lt;message>&lt;xsl:value-of select="(message, 'Unknown log entry.')[1]"/>&lt;/message>&lt;/xsl:otherwise>&lt;/xsl:choose>  
                
                
               
            &lt;/entry> 
         
      &lt;/xsl:for-each> 
    &lt;/entries> 
  &lt;/xsl:template>  
  &lt;xsl:function name="api:replaceParameters" as="xs:string"> 
    &lt;xsl:param name="message"/>  
    &lt;xsl:param name="parameters"/>  
    &lt;xsl:value-of select="if (exists($parameters[1])) then api:replaceParameters(replace($message, concat('\{', local-name($parameters[1]), '\}'), $parameters[1]/text()), $parameters[position() &amp;gt; 1]) else $message"/> 
  &lt;/xsl:function> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>